Chromium Code Reviews
Help | Chromium Project | Sign in
(12)

Issue 11359081: Lazy initialization for ProcessesEventRouter. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 9 months ago by Yoyo Zhou
Modified:
2 years, 9 months ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

Lazy initialization for ProcessesEventRouter. Make it profile-scoped, not a singleton. Construct EventRouter at ExtensionSystem creation time. Implement EventRouter::Observer interface for lazy event router initialization, and use it for processes API. BUG=156715, 159265 TBR=ben@chromium.org Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166813

Patch Set 1 #

Total comments: 3

Patch Set 2 : #

Total comments: 8

Patch Set 3 : aa's #

Patch Set 4 : minor #

Patch Set 5 : rebase #

Total comments: 10

Patch Set 6 : again #

Patch Set 7 : TODO #

Patch Set 8 : NULLWhileTesting #

Patch Set 9 : APIService->API #

Patch Set 10 : cc ordering #

Patch Set 11 : rebase #

Patch Set 12 : fixor #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+252 lines, -106 lines) Patch
M chrome/browser/extensions/api/processes/processes_api.h View 1 2 3 4 5 6 7 8 6 chunks +35 lines, -18 lines 2 comments Download
M chrome/browser/extensions/api/processes/processes_api.cc View 1 2 3 4 5 6 7 8 9 12 chunks +59 lines, -50 lines 0 comments Download
A chrome/browser/extensions/api/processes/processes_api_factory.h View 1 2 3 4 5 6 7 8 1 chunk +36 lines, -0 lines 0 comments Download
A chrome/browser/extensions/api/processes/processes_api_factory.cc View 1 2 3 4 5 6 7 8 1 chunk +51 lines, -0 lines 0 comments Download
M chrome/browser/extensions/event_router.h View 1 2 3 4 5 4 chunks +22 lines, -3 lines 0 comments Download
M chrome/browser/extensions/event_router.cc View 1 2 3 4 5 6 4 chunks +38 lines, -27 lines 0 comments Download
M chrome/browser/extensions/extension_service.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_service.cc View 1 2 3 4 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/browser/extensions/extension_system.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/extension_system.cc View 1 2 3 4 5 3 chunks +3 lines, -4 lines 2 comments Download
M chrome/browser/profiles/profile_dependency_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +3 lines, -1 line 0 comments Download
M chrome/chrome_browser_extensions.gypi View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -0 lines 0 comments Download
Project "None" does not have a commit queue.

Messages

Total messages: 24 (0 generated)
Yoyo Zhou
https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc File chrome/browser/extensions/extension_system.cc (right): https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc#newcode120 chrome/browser/extensions/extension_system.cc:120: ProcessesAPIService::Get(profile_); This is the unfortunate part. The observers are ...
2 years, 9 months ago (2012-11-07 03:25:19 UTC) #1
Aaron Boodman
cool https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc File chrome/browser/extensions/extension_system.cc (right): https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc#newcode120 chrome/browser/extensions/extension_system.cc:120: ProcessesAPIService::Get(profile_); On 2012/11/07 03:25:19, Yoyo Zhou wrote: > ...
2 years, 9 months ago (2012-11-07 04:08:19 UTC) #2
Yoyo Zhou
https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc File chrome/browser/extensions/extension_system.cc (right): https://codereview.chromium.org/11359081/diff/1/chrome/browser/extensions/extension_system.cc#newcode120 chrome/browser/extensions/extension_system.cc:120: ProcessesAPIService::Get(profile_); On 2012/11/07 04:08:20, Aaron Boodman wrote: > On ...
2 years, 9 months ago (2012-11-07 22:53:36 UTC) #3
Yoyo Zhou
+ben for OWNERS
2 years, 9 months ago (2012-11-07 22:54:17 UTC) #4
Aaron Boodman
If you decide to change how InitFromPrefs() is done, then I'll take another look at ...
2 years, 9 months ago (2012-11-07 23:51:28 UTC) #5
Yoyo Zhou
You might need to look again then. (But now the EventRouter constructor is unchanged from ...
2 years, 9 months ago (2012-11-08 00:18:16 UTC) #6
Aaron Boodman
lgtm
2 years, 9 months ago (2012-11-08 00:21:27 UTC) #7
Aaron Boodman
(you didn't answer the question about the factory-in-a-box, but I'll assume that's a separate cl, ...
2 years, 9 months ago (2012-11-08 00:21:59 UTC) #8
Yoyo Zhou
On Wed, Nov 7, 2012 at 4:21 PM, <aa@chromium.org> wrote: > (you didn't answer the ...
2 years, 9 months ago (2012-11-08 00:35:43 UTC) #9
Aaron Boodman
On Wed, Nov 7, 2012 at 4:35 PM, Yoyo Zhou <yoz@chromium.org> wrote: > On Wed, ...
2 years, 9 months ago (2012-11-08 00:52:30 UTC) #10
Aaron Boodman
BTW, for naming. What about instead of FooBarAPIService, just FooBarAPI? - a On Wed, Nov ...
2 years, 9 months ago (2012-11-08 00:52:56 UTC) #11
Yoyo Zhou
On Wed, Nov 7, 2012 at 4:52 PM, Aaron Boodman <aa@chromium.org> wrote: > BTW, for ...
2 years, 9 months ago (2012-11-08 01:01:02 UTC) #12
Aaron Boodman
On Wed, Nov 7, 2012 at 5:01 PM, Yoyo Zhou <yoz@chromium.org> wrote: > On Wed, ...
2 years, 9 months ago (2012-11-08 01:14:41 UTC) #13
Yoyo Zhou
Passing factories around is somewhat at odds with how they're currently used (as singletons). Well, ...
2 years, 9 months ago (2012-11-08 01:31:02 UTC) #14
Yoyo Zhou
ProcessesAPIService->ProcessesAPI as discussed.
2 years, 9 months ago (2012-11-08 02:44:29 UTC) #15
Aaron Boodman
lgtm stands On Wed, Nov 7, 2012 at 6:44 PM, <yoz@chromium.org> wrote: > ProcessesAPIService->ProcessesAPI as ...
2 years, 9 months ago (2012-11-08 02:45:50 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoz@chromium.org/11359081/7007
2 years, 9 months ago (2012-11-08 18:07:30 UTC) #17
commit-bot: I haz the power
Retried try job too often for step(s) browser_tests
2 years, 9 months ago (2012-11-08 19:47:45 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoz@chromium.org/11359081/1022
2 years, 9 months ago (2012-11-08 21:50:09 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yoz@chromium.org/11359081/6014
2 years, 9 months ago (2012-11-08 22:09:44 UTC) #20
commit-bot: I haz the power
Change committed as 166813
2 years, 9 months ago (2012-11-09 00:03:32 UTC) #21
Matt Perry
drive-by nits https://codereview.chromium.org/11359081/diff/6014/chrome/browser/extensions/api/processes/processes_api.h File chrome/browser/extensions/api/processes/processes_api.h (right): https://codereview.chromium.org/11359081/diff/6014/chrome/browser/extensions/api/processes/processes_api.h#newcode117 chrome/browser/extensions/api/processes/processes_api.h:117: // by moving some state to ProcessesAPI ...
2 years, 9 months ago (2012-11-09 00:23:34 UTC) #22
Yoyo Zhou
Since I had to revert this, I can get to one of your comments... https://codereview.chromium.org/11359081/diff/6014/chrome/browser/extensions/api/processes/processes_api.h ...
2 years, 9 months ago (2012-11-09 00:35:55 UTC) #23
Ben Goodger (Google)
2 years, 9 months ago (2012-11-12 16:32:02 UTC) #24
lgtm for the gyp
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c33a7a4